# Upload CSV

<mark style="color:green;">`POST`</mark> `/bulk/v1/uploadFiles/{schemaName}`

#### Path Parameters

| Name                                         | Type   | Description                                       |
| -------------------------------------------- | ------ | ------------------------------------------------- |
| schemaName<mark style="color:red;">\*</mark> | String | Schema for which you want to bulk create entities |

#### Headers

| Name          | Type   | Description                                                                                       |
| ------------- | ------ | ------------------------------------------------------------------------------------------------- |
| Authorization | String | Set to Bearer {access-token} if roles in schema is not anonymous. Else authorization can be empty |

#### Request Body

| Name                                   | Type                | Description |
| -------------------------------------- | ------------------- | ----------- |
| file<mark style="color:red;">\*</mark> | multipart/form-data | csv file    |

{% tabs %}
{% tab title="200: OK Information with ID of the file uploaded, number of success and failures" %}

{% endtab %}

{% tab title="403: Forbidden if the token is expired or you do not have appropriate permission to create entity" %}

{% endtab %}

{% tab title="500: Internal Server Error If invalid csv file is passed" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sunbirdrc.dev/api-reference/bulk-issuance-api/upload-csv.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
